

declare @uid as varchar(50)
declare @eid as varchar(50)
declare @id_padre as int
set @eid =(select eid from seg_usuario where id=1)
set @uid =(select uid from seg_usuario where id=1)
set @id_padre = (select id from gui_funcionalidad where funcionalidad='Gastos' and nombreControl='inc_gastos')

if not exists(select * from gui_funcionalidad where nombrecomando='PuedeLegalizar' and id_tipoFuncionalidad=5)
begin

INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])
VALUES(@uid,@eid,1,1,getdate(),getdate(),1,'Legalizar RD',@id_padre,5,'','Legalizar',0,'','','','','PuedeLegalizar',1)

end